Skip to main content
Iowa Lakes Community College
Main Content

Information to Update Your Browser

PCI Compliance Requirements:
Security Protocol Issues that will Impact Internet Explorer 9 & 10 users on our site.

Some PCI compliance companies are now requiring that our management platform stop support for an encryption protocol called TLS 1.0.  This will impact any pages which are secure (https), such as our application or log-in pages.

Solutions:
We advise visitors to our site to enable TLS 1.1 or 1.2 in IE 9 or 10 (see below for instructions), or upgrade to IE 11, or switch to Firefox or Chrome. 

Instructions for Enabling TLS 1.1 and 1.2 in Internet Explorer versions 9 and 10.

1.    On the Internet Explorer Tools menu, click Internet Options.

2.    In the Internet Options dialog box, click the Advanced tab.

3.    In the Security category towards the bottom, check "Use TLS 1.1" and "Use TLS 1.2"

4.    Click OK.

Exit and restart Internet Explorer.

Should you have any questions, we always welcome a call at 800-346-6018. You may also email us at info@iowalakes.edu.

Continue to the Application for Admission

© 2019 Iowa Lakes Community College. All rights reserved.